net.sourceforge.pmd.lang.rule.properties

## Class BooleanMultiProperty

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.properties.AbstractProperty<T>
  - - net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty<Boolean[]>
    - - net.sourceforge.pmd.lang.rule.properties.BooleanMultiProperty

All Implemented Interfaces:
  Comparable<PropertyDescriptor<?>>, PropertyDescriptor<Boolean[]>

    public class BooleanMultiProperty
    extends AbstractScalarProperty<Boolean[]>

Defines a property type that supports multiple Boolean values.

Author:
  Brian Remedios

### Constructor Summary

Constructors
Constructor and Description
`BooleanMultiProperty(String theName, String theDescription, Boolean[] defaultValues, float theUIOrder)` Constructor for BooleanMultiProperty that allows for multiple values.

### Method Summary

Methods
`protected Boolean[]` `arrayFor(int size)`
`protected Object` `createFrom(String value)` Creates and returns a Boolean instance from a raw string
`protected String` `defaultAsString()`
`boolean` `isMultiValue()` Returns whether the property is multi-valued, i.e. an array of strings, As unary property rule properties will return a value of one, you must use the get/setProperty accessors when working with the actual values.
`Class<Boolean[]>` `type()` Denotes the value datatype.

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractScalarProperty

`valueFrom`

### Methods inherited from class net.sourceforge.pmd.lang.rule.properties.AbstractProperty

`addAttributesTo, areEqual, asDelimitedString, asDelimitedString, asString, attributeValuesById, choices, compareTo, defaultHasNullValue, defaultValue, description, equals, errorFor, hashCode, isArray, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, toString, typeErrorFor, uiOrder, valueErrorFor, valuesErrorFor`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BooleanMultiProperty

    public BooleanMultiProperty(String theName,
                        String theDescription,
                        Boolean[] defaultValues,
                        float theUIOrder)

Constructor for BooleanMultiProperty that allows for multiple values.

Parameters:
  `theName` - String
  `theDescription` - String
  `defaultValues` - Boolean[]
  `theUIOrder` - float

### Method Detail

#### type

    public Class<Boolean[]> type()

Description copied from interface: `PropertyDescriptor`
Denotes the value datatype.

Returns:
  Class
See Also:
  `PropertyDescriptor.type()`

#### isMultiValue

    public boolean isMultiValue()

Description copied from class: `AbstractProperty`
Returns whether the property is multi-valued, i.e. an array of strings, As unary property rule properties will return a value of one, you must use the get/setProperty accessors when working with the actual values. When working with multi-value properties then the get/setProperties accessors must be used.

Specified by:
  `isMultiValue` in interface `PropertyDescriptor<Boolean[]>`
Overrides:
  `isMultiValue` in class `AbstractProperty<Boolean[]>`
Returns:
  boolean
See Also:
  `PropertyDescriptor.isMultiValue()`

#### createFrom

    protected Object createFrom(String value)

Creates and returns a Boolean instance from a raw string

Specified by:
  `createFrom` in class `AbstractScalarProperty<Boolean[]>`
Parameters:
  `value` - String
Returns:
  Object

#### arrayFor

    protected Boolean[] arrayFor(int size)

Overrides:
  `arrayFor` in class `AbstractScalarProperty<Boolean[]>`
Parameters:
  `size` - int
Returns:
  Object[]

#### defaultAsString

    protected String defaultAsString()

Specified by:
  `defaultAsString` in class `AbstractProperty<Boolean[]>`
Returns:
  String